﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DiplomovaPrace
{
    public class DataHrana
    {
        private double ohodnoceni;
        private double docasneOhodnoceni;
        private double rC = 0.0; //celkova rezerva
        private double rV = 0.0; //volna rezerva
        private double rN = 0.0; //nezavisla rezerva
        private int typ = 0;

        private String nazev="";
        private String zkratka="";

        private String info="";
        public SeznamZdrojeHrany zdrojeHrany = new SeznamZdrojeHrany();
        private double dokonceno = 0;
        private double vykonano = 0;
        public ADTHrana[] poleHran;
        private double a = 0;
        private double b = 0;       
        private double m = 0;

        
        private KlicVrchol predKlic = null;

        #region vlastnosti
        public String Zkratka
        {
            get { return zkratka; }
            set { zkratka = value; }
        }
        public String Info
        {
            get { return info; }
            set { info = value; }
        }
        public double M
        {
            get { return m; }
            set { m = value; }
        }
        public double B
        {
            get { return b; }
            set { b = value; }
        }
        public double A
        {
            get { return a; }
            set { a = value; }
        }
        public KlicVrchol PredKlic
        {
            get { return predKlic; }
            set { predKlic = value; }
        }
        public int Typ
        {
            get { return typ; }
            set { typ = value; }
        }
        /// <summary>
        /// Nezávislá rezerva.
        /// </summary>
        public double RN
        {
            get { return rN; }
            set { rN = value; }
        }
        /// <summary>
        /// Volná rezerva.
        /// </summary>
        public double RV
        {
            get { return rV; }
            set { rV = value; }
        }
        /// <summary>
        /// Celková rezerva.
        /// </summary>
        public double RC
        {
            get { return rC; }
            set { rC = value; }
        }
        public ADTHrana[] PoleHran
        {
            get { return poleHran; }
            set { poleHran = value; }
        }
        public double DocasneOhodnoceni
        {
            get { return docasneOhodnoceni; }
            set { docasneOhodnoceni = value; }
        }
        public double Vykonano
        {
            get { return vykonano; }
            set { vykonano = value; }
        }
        public double Dokonceno
        {
            get { return dokonceno; }
            set { dokonceno = value; }
        }
        public double Ohodnoceni
        {
            get { return ohodnoceni; }
            set { ohodnoceni = value; }
        }
        public String Nazev
        {
            get { return nazev; }
            set { nazev = value; }
        }
        #endregion


    }
}
