﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace DiplomovaPrace
{
    public class CompareKlicTU : IComparer
    {
        private bool vzestupne;
        public CompareKlicTU(bool vzestupne)
        {
            this.vzestupne = vzestupne;
        }
        public int Compare(object x, object y)
        {
            if (vzestupne) return string.Compare(((TopologickeUsporadaniVrchol)x).Vrchol.Klic.GetKlic(), ((TopologickeUsporadaniVrchol)y).Vrchol.Klic.GetKlic());
            return string.Compare(((TopologickeUsporadaniVrchol)y).Vrchol.Klic.GetKlic(), ((TopologickeUsporadaniVrchol)x).Vrchol.Klic.GetKlic());
        }
    }

    public class PoleTopologickeUsporadani : SortedArrayList
    {
        public PoleTopologickeUsporadani()
        {
            Comparer = new CompareKlicTU(true);
        }

        public int Najdi(object value, int index)
        {
            switch (index)
            {
                case 0:
                    if ((Comparer is CompareKlicTU) && Sorted == true)
                    {
                        return IndexOf(value, Comparer);
                    }
                    return Sekvencne(value, new CompareKlicTU(true));
            }
            return -1;
        }
    }
}
