﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace DiplomovaPrace
{
    public enum RasterOps
    {
            R2_BLACK = 1,
            R2_NOTMERGEPEN = 2,
            R2_MASKNOTPEN = 3,
            R2_NOTCOPYPEN = 4,
            R2_MASKPENNOT = 5,
            R2_NOT = 6,
            R2_XORPEN = 7,
            R2_NOTMASKPEN = 8,
            R2_MASKPEN = 9,
            R2_NOTXORPEN = 10,
            R2_NOP = 11,
            R2_MERGENOTPEN = 12,
            R2_COPYPEN = 13,
            R2_MERGEPENNOT = 14,
            R2_MERGEPEN = 15,
            R2_WHITE = 16
        }

        public enum PenStyles
        {
            PS_SOLID = 0,
            PS_DASH = 1,
            PS_DOT = 2
        }

        public enum StockObjects
        {
            BLACK_BRUSH = 0,
            DKGRAY_BRUSH = 1,
            GRAY_BRUSH = 2,
            HOLLOW_BRUSH = 3,
            LTGRAY_BRUSH = 4,
            NULL_BRUSH = 5,
            WHITE_BRUSH = 6,
            BLACK_PEN = 7,
            NULL_PEN = 8,
            WHITE_PEN = 9,
        }

        public class ApiGdi
        {
            [DllImport("gdi32.dll")]
            public static extern bool LineTo(IntPtr HDC, int x, int y);
            [DllImport("gdi32.dll")]
            public static extern int SetROP2(IntPtr HDC, int drawMode);
            [DllImport("gdi32.dll")]
            public static extern bool MoveToEx(IntPtr HDC, int x, int y, IntPtr lpPoint);
            [DllImport("gdi32.dll")]
            public static extern bool Ellipse(IntPtr HDC, int nLeftRect, int nTopRect, int nRightRect, int nBottomRect);
            [DllImportAttribute("gdi32.dll")]
            public static extern void Rectangle(IntPtr HDC, int X1, int Y1, int X2, int Y2);
            [DllImportAttribute("gdi32.dll")]
            public static extern IntPtr GetStockObject(int brStyle);
            [DllImportAttribute("gdi32.dll")]
            public static extern IntPtr CreatePen(int enPenStyle, int nWidth, int crColor);
            [DllImportAttribute("gdi32.dll")]
            public static extern bool DeleteObject(IntPtr hObject);
            [DllImportAttribute("gdi32.dll")]
            public static extern IntPtr SelectObject(IntPtr HDC, IntPtr hObject);
            [DllImportAttribute("gdi32.dll")]
            public static extern IntPtr CreateSolidBrush(int crColor);
            public static int RGB(byte r, byte g, byte b) { return ((r >> 16) | (b >> 8) | b); }
        }
}

