﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace DiplomovaPrace
{
    public partial class DialogVzhledVrcholHrana : Form
    {
        Graf graf;
        NastaveniVzhled nastaveni;

        public NastaveniVzhled Nastaveni
        {
            get { return nastaveni; }
            set { nastaveni = value; }
        }
        Graphics grafika;
        Vrchol vrchol1 = new Vrchol("1");
        Vrchol vrchol2 = new Vrchol("2");
        Hrana hrana = new Hrana();
        Pen pero;
        int tloustka = 4;
        float [] pattern = new float [] {100F}; 
        Color barva1Hrana, barva2Hrana, barva1Vrchol, barva2Vrchol;
        public DialogVzhledVrcholHrana(Graf graf)
        {
            InitializeComponent();
            this.graf = graf;
            grafika = vzhledPanel.CreateGraphics();
        }

        private void DialogVzhledVrcholHrana_Load(object sender, EventArgs e)
        {
            vrchol1.Nazev = "Uzel 1";
            vrchol2.Nazev = "Uzel 2";
            vrchol1.MaximalniCas = 26.1;
            vrchol1.MinimalniCas = 19.82;
            vrchol2.MaximalniCas = 14.5;
            vrchol2.MinimalniCas = 19.82;
            vrchol1.SouradniceX = nastaveni.Velikost + (int)(vzhledPanel.Width / 6);
            vrchol1.SouradniceY = (int)(vzhledPanel.Height / 2);
            vrchol2.SouradniceX = vzhledPanel.Width - nastaveni.Velikost - (int)(vzhledPanel.Width / 6);
            vrchol2.SouradniceY = (int)(vzhledPanel.Height / 2);
            hrana.Vrchol1 = vrchol1.Klic;
            hrana.Vrchol2 = vrchol2.Klic;
            hrana.Data.Nazev = "Činnost";
            hrana.Data.Ohodnoceni = 2610.82;
            velikostComboBox.SelectedIndex = nastaveni.Velikost;
            tvarComboBox.SelectedIndex = nastaveni.Tvar;
            pismoHranaBarvaButton.BackColor = nastaveni.BarvaPismaHrana.Color;
            barvaPismoUzelButton.BackColor = nastaveni.BarvaPismaVrchol.Color;
            barva1VrcholButton.BackColor = nastaveni.Barva1Vrchol;
            barva2VrcholButton.BackColor = nastaveni.Barva2Vrchol;
            barva1HranaButton.BackColor = nastaveni.Barva1Hrana;
            barva2HranaButton.BackColor = nastaveni.Barva2Hrana;
            tloustkaComboBox.SelectedIndex = nastaveni.Tloustka -1;
            tloustka2ComboBox.SelectedIndex = (int)((nastaveni.Tloustka2 - 1)/2);
            nejblizsi1Button.BackColor = nastaveni.Barva1NejHrana;
            nejblizsi2Button.BackColor = nastaveni.Barva2NejHrana;
            kriticka1Button.BackColor = nastaveni.Barva1KritickaHrana;
            kriticka2Button.BackColor = nastaveni.Barva2KritickaHrana;
            fiktivni1Button.BackColor = nastaveni.Barva1FiktivniHrana;
            fiktivni2Button.BackColor = nastaveni.Barva2FiktivniHrana;
            fiktivniKriticka1button.BackColor = nastaveni.Barva1FiktivniKritickaHrana;
            fiktivniKriticka2button.BackColor = nastaveni.Barva2FiktivniKritickaHrana;
            rezerva1Button.BackColor = nastaveni.Barva1Rezerva;
            rezerva2Button.BackColor = nastaveni.Barva2Rezerva;
            zavislost1Button.BackColor = nastaveni.Barva1Zavislost;
            zavislost2Button.BackColor = nastaveni.Barva2Zavislost;
            kritickaZavislost1Button.BackColor = nastaveni.Barva1KritickaZavislost;
            kritickaZavislost2Button.BackColor = nastaveni.Barva2KritickaZavislost;
            fiktivniZavislost1Button.BackColor = nastaveni.Barva1FiktivniZavislost;
            fiktivniZavislost2Button.BackColor = nastaveni.Barva2FiktivniZavislost;
            fiktivniKritickaZavislost1Button.BackColor = nastaveni.Barva1FiktivniKritickaZavislost;
            fiktivniKritickaZavislost2Button.BackColor = nastaveni.Barva2FiktivniKritickaZavislost;
            nejUzel1Button.BackColor = nastaveni.Barva1NejUzel;
            nejUzel2Button.BackColor = nastaveni.Barva2NejUzel;
            barva1Hrana = nastaveni.Barva1Hrana;
            barva2Hrana = nastaveni.Barva2Hrana;
            barva1Vrchol = nastaveni.Barva1Vrchol;
            barva2Vrchol = nastaveni.Barva2Vrchol;
            tloustka = nastaveni.Tloustka;
            if (nastaveni.FixedInfo == true) infoComboBox.SelectedIndex = 0;
            else infoComboBox.SelectedIndex = 1;
            if (nastaveni.ZobrazitGrid == true) mrizkaCheckBox.Checked = true;
            else mrizkaCheckBox.Checked = false;
            if (nastaveni.ZobrazitZavislosti == true) zavislostiCheckBox.Checked = true;
            else zavislostiCheckBox.Checked = false;
            if (nastaveni.ZobrazitRezervy == true) rezervyCheckBox.Checked = true;
            else rezervyCheckBox.Checked = false;
            if (nastaveni.ZobrazitVsechnaReseni == true) prastromCheckBox.Checked = true;
            else prastromCheckBox.Checked = false;
            if (nastaveni.VyukovyMod == true) vyukaCheckBox.Checked = true;
            else vyukaCheckBox.Checked = false;
            if (nastaveni.GrafickyPostup == true) grafickyCheckBox.Checked = true;
            else grafickyCheckBox.Checked = false;
            if (nastaveni.ZobrazitUzelNazev == true) zobrazeniNazevCheckBox.Checked = true;
            else zobrazeniNazevCheckBox.Checked = false;
            if (nastaveni.ZobrazitUzelCasy == true) zobrazeniCasyCheckBox.Checked = true;
            else zobrazeniCasyCheckBox.Checked = false;
            if (nastaveni.ZobrazitCinnostOhodnoceni == true) ohodnoceniCheckBox.Checked = true;
            else ohodnoceniCheckBox.Checked = false;
            switch (nastaveni.Jednotky)
            {
                /*case "vteriny": casoveJednotkyComboBox.SelectedIndex = 0;
                    break;
                case "minuty": casoveJednotkyComboBox.SelectedIndex = 1;
                    break;
                case "hodiny": casoveJednotkyComboBox.SelectedIndex = 0;
                    break;*/
                case "dny": casoveJednotkyComboBox.SelectedIndex = 0;
                    break;
            }
            popisHranyComboBox.SelectedIndex = nastaveni.PopisCinnosti;
            //dateTimePicker.Value = graf.ZacatekProjektu;
            vzhledPanel.Invalidate();
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            fontDialog1.Font = nastaveni.PismoFont;
            if (fontDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.PismoFont = fontDialog1.Font;
                vzhledPanel.Invalidate();
            }          
        }

        private void velikostComboBox_SelectedIndexChanged_1(object sender, EventArgs e)
        {
            nastaveni.Velikost = velikostComboBox.SelectedIndex;
            vzhledPanel.Invalidate();
        }

        private void tvarComboBox_SelectedIndexChanged_1(object sender, EventArgs e)
        {
            nastaveni.Tvar = tvarComboBox.SelectedIndex;
            vzhledPanel.Invalidate();
        }

        private void barva1VrcholButton_Click_1(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1Vrchol;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1Vrchol = colorDialog1.Color;
                barva1VrcholButton.BackColor = nastaveni.Barva1Vrchol;
                barva1Vrchol = nastaveni.Barva1Vrchol;
                barva2Vrchol = nastaveni.Barva2Vrchol;
                vzhledPanel.Invalidate();
            }
        }

        private void barva2VrcholButton_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2Vrchol;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2Vrchol = colorDialog1.Color;
                barva2VrcholButton.BackColor = nastaveni.Barva2Vrchol;
                barva1Vrchol = nastaveni.Barva1Vrchol;
                barva2Vrchol = nastaveni.Barva2Vrchol;
                vzhledPanel.Invalidate();
            }
        }

        private void barva1HranaButton_Click_1(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1Hrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1Hrana = colorDialog1.Color;
                barva1HranaButton.BackColor = nastaveni.Barva1Hrana;
                barva1Hrana = nastaveni.Barva1Hrana;
                barva2Hrana = nastaveni.Barva2Hrana;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void barva2HranaButton_Click_1(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2Hrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2Hrana = colorDialog1.Color;
                barva2HranaButton.BackColor = nastaveni.Barva2Hrana;
                barva1Hrana = nastaveni.Barva1Hrana;      
                barva2Hrana = nastaveni.Barva2Hrana;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void tloustkaComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            nastaveni.Tloustka = tloustkaComboBox.SelectedIndex+1;
            tloustka = nastaveni.Tloustka;
            vzhledPanel.Invalidate();
        }

        private void tloustka2ComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            nastaveni.Tloustka2 = (tloustka2ComboBox.SelectedIndex + 1) * 2;
            tloustka = nastaveni.Tloustka2;
            vzhledPanel.Invalidate();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2Rezerva;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2Rezerva = colorDialog1.Color;
                rezerva2Button.BackColor = nastaveni.Barva2Rezerva;
                barva1Hrana = nastaveni.Barva1Rezerva;
                barva2Hrana = nastaveni.Barva2Rezerva;
                pattern = new float[] { 4.0F, 2.0F, 4.0F, 2.0F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void hranaTabPage_Click(object sender, EventArgs e)
        {

        }

        private void button17_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1FiktivniKritickaZavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1FiktivniKritickaZavislost = colorDialog1.Color;
                fiktivniKritickaZavislost1Button.BackColor = nastaveni.Barva1FiktivniKritickaZavislost;
                barva1Hrana = nastaveni.Barva1FiktivniKritickaZavislost;
                barva2Hrana = nastaveni.Barva2FiktivniKritickaZavislost;
                pattern = new float[] { 2.0F, 3.0F, 2.0F, 3.0F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button14_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2KritickaZavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2KritickaZavislost = colorDialog1.Color;
                kritickaZavislost2Button.BackColor = nastaveni.Barva2KritickaZavislost;
                barva1Hrana = nastaveni.Barva1KritickaZavislost;
                barva2Hrana = nastaveni.Barva2KritickaZavislost;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button15_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1KritickaZavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1KritickaZavislost = colorDialog1.Color;
                kritickaZavislost1Button.BackColor = nastaveni.Barva1KritickaZavislost;
                barva1Hrana = nastaveni.Barva1KritickaZavislost;
                barva2Hrana = nastaveni.Barva2KritickaZavislost;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button12_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2FiktivniZavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2FiktivniZavislost = colorDialog1.Color;
                fiktivniZavislost2Button.BackColor = nastaveni.Barva2FiktivniZavislost;
                barva1Hrana = nastaveni.Barva1FiktivniZavislost;
                barva2Hrana = nastaveni.Barva2FiktivniZavislost;
                pattern = new float[] { 2.0F, 3.0F, 2.0F, 3.0F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button13_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1FiktivniZavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1FiktivniZavislost = colorDialog1.Color;
                fiktivniZavislost1Button.BackColor = nastaveni.Barva1FiktivniZavislost;
                barva1Hrana = nastaveni.Barva1FiktivniZavislost;
                barva2Hrana = nastaveni.Barva2FiktivniZavislost;
                pattern = new float[] { 2.0F, 3.0F, 2.0F, 3.0F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button10_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2Zavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2Zavislost = colorDialog1.Color;
                zavislost2Button.BackColor = nastaveni.Barva2Zavislost;
                barva1Hrana = nastaveni.Barva1Zavislost;
                barva2Hrana = nastaveni.Barva2Zavislost;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button11_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1Zavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1Zavislost = colorDialog1.Color;
                zavislost1Button.BackColor = nastaveni.Barva1Zavislost;
                barva1Hrana = nastaveni.Barva1Zavislost;
                barva2Hrana = nastaveni.Barva2Zavislost;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button16_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2FiktivniKritickaZavislost;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2FiktivniKritickaZavislost = colorDialog1.Color;
                fiktivniKritickaZavislost2Button.BackColor = nastaveni.Barva2FiktivniKritickaZavislost;
                barva1Hrana = nastaveni.Barva1FiktivniKritickaZavislost;
                barva2Hrana = nastaveni.Barva2FiktivniKritickaZavislost;
                pattern = new float[] { 2.0F, 3.0F, 2.0F, 3.0F };
                tloustka = nastaveni.Tloustka2;
                vzhledPanel.Invalidate();
            }
        }

        private void button9_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1Rezerva;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1Rezerva = colorDialog1.Color;
                rezerva1Button.BackColor = nastaveni.Barva1Rezerva;
                barva1Hrana = nastaveni.Barva1Rezerva;
                barva2Hrana = nastaveni.Barva2Rezerva;
                pattern = new float[] { 4.0F, 2.0F, 4.0F, 2.0F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void button6_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2FiktivniHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2FiktivniHrana = colorDialog1.Color;
                fiktivni2Button.BackColor = nastaveni.Barva2FiktivniHrana;
                barva1Hrana = nastaveni.Barva1FiktivniHrana;
                barva2Hrana = nastaveni.Barva2FiktivniHrana;
                pattern = new float[] { 4.0F, 2.0F, 4.0F, 2.0F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void button7_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1FiktivniHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1FiktivniHrana = colorDialog1.Color;
                fiktivni1Button.BackColor = nastaveni.Barva1FiktivniHrana;
                barva1Hrana = nastaveni.Barva1FiktivniHrana;
                barva2Hrana = nastaveni.Barva2FiktivniHrana;
                pattern = new float[] { 4.0F, 2.0F, 4.0F, 2.0F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2KritickaHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2KritickaHrana = colorDialog1.Color;
                kriticka2Button.BackColor = nastaveni.Barva2KritickaHrana;
                barva1Hrana = nastaveni.Barva1KritickaHrana;
                barva2Hrana = nastaveni.Barva2KritickaHrana;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1KritickaHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1KritickaHrana = colorDialog1.Color;
                kriticka1Button.BackColor = nastaveni.Barva1KritickaHrana;
                barva1Hrana = nastaveni.Barva1KritickaHrana;
                barva2Hrana = nastaveni.Barva2KritickaHrana;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void vzhledPanel_Paint_1(object sender, PaintEventArgs e)
        {
            pero = new Pen(new LinearGradientBrush(new Point(vrchol1.SouradniceX, vrchol1.SouradniceY),
                   new Point(vrchol2.SouradniceX, vrchol2.SouradniceY + 1), barva1Hrana, barva2Hrana), tloustka);
            pero.DashPattern = pattern;
            pero.EndCap = LineCap.ArrowAnchor;
            if (nastaveni.Tvar == 0) grafika.DrawLine(pero, new Point(vrchol1.SouradniceX, vrchol1.SouradniceY), new Point(vrchol2.SouradniceX - nastaveni.Velikost * 2, vrchol2.SouradniceY));
            else grafika.DrawLine(pero, new Point(vrchol1.SouradniceX, vrchol1.SouradniceY), new Point(vrchol2.SouradniceX - nastaveni.Velikost * 6, vrchol2.SouradniceY));
            vrchol1.VykresliUzel(grafika, barva1Vrchol, barva2Vrchol, nastaveni.Velikost, true, nastaveni.PismoFont, nastaveni.Tvar, graf.TypOhodnoceniHran, nastaveni);
            vrchol2.VykresliUzel(grafika, barva1Vrchol, barva2Vrchol, nastaveni.Velikost, true, nastaveni.PismoFont, nastaveni.Tvar, graf.TypOhodnoceniHran, nastaveni);
            int difX = Math.Abs(vrchol2.SouradniceX - vrchol1.SouradniceX);
            int difY = Math.Abs(vrchol2.SouradniceY - vrchol1.SouradniceY);
            grafika.DrawString(hrana.Data.Nazev, nastaveni.HranaFont, nastaveni.BarvaPismaHrana, vrchol1.SouradniceX + (int)(difX / 2) - (int)(((hrana.Data.Nazev.Length / 2) * nastaveni.HranaFont.Size * nastaveni.Meritko)), vrchol2.SouradniceY - (int)(difY / 2) - nastaveni.HranaFont.Size * nastaveni.Meritko * 2 - 3);
            string retezec = String.Format("{0:F2}", hrana.Data.Ohodnoceni);
            grafika.DrawString("Doba trvání: " + retezec, nastaveni.HranaFont, nastaveni.BarvaPismaHrana, vrchol1.SouradniceX + (int)(difX / 2) - (int)(((hrana.Data.Nazev.Length / 2) * nastaveni.HranaFont.Size * nastaveni.Meritko)), vrchol2.SouradniceY - (int)(difY / 2) - nastaveni.HranaFont.Size * nastaveni.Meritko - 1);
            pero = null;
        }

        private void nejblizsi1Button_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1NejHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1NejHrana = colorDialog1.Color;
                nejblizsi1Button.BackColor = nastaveni.Barva1NejHrana;
                barva1Hrana = nastaveni.Barva1NejHrana;
                barva2Hrana = nastaveni.Barva2NejHrana;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void nejblizsi2Button_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2NejHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2NejHrana = colorDialog1.Color;
                nejblizsi2Button.BackColor = nastaveni.Barva2NejHrana;
                barva1Hrana = nastaveni.Barva1NejHrana;
                barva2Hrana = nastaveni.Barva2NejHrana;
                pattern = new float[] { 100F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void fiktivniKriticka1button_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva1FiktivniKritickaHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva1FiktivniKritickaHrana = colorDialog1.Color;
                fiktivniKriticka1button.BackColor = nastaveni.Barva1FiktivniKritickaHrana;
                barva1Hrana = nastaveni.Barva1FiktivniKritickaHrana;
                barva2Hrana = nastaveni.Barva2FiktivniKritickaHrana;
                pattern = new float[] { 4.0F, 2.0F, 4.0F, 2.0F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void fiktivniKriticka2button_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.Barva2FiktivniKritickaHrana;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.Barva2FiktivniKritickaHrana = colorDialog1.Color;
                fiktivniKriticka2button.BackColor = nastaveni.Barva2FiktivniKritickaHrana;
                barva1Hrana = nastaveni.Barva1FiktivniKritickaHrana;
                barva2Hrana = nastaveni.Barva2FiktivniKritickaHrana;
                pattern = new float[] { 4.0F, 2.0F, 4.0F, 2.0F };
                tloustka = nastaveni.Tloustka;
                vzhledPanel.Invalidate();
            }
        }

        private void hranaPismoButton_Click(object sender, EventArgs e)
        {
            fontDialog1.Font = nastaveni.HranaFont;
            if (fontDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.HranaFont = fontDialog1.Font;
                vzhledPanel.Invalidate();
            }   
        }

        private void vzhledPanel_SizeChanged(object sender, EventArgs e)
        {
        }

        private void label25_Click(object sender, EventArgs e)
        {

        }

        private void DialogVzhledVrcholHrana_FormClosed(object sender, FormClosedEventArgs e)
        {
            if (zavislostiCheckBox.Checked == true) nastaveni.ZobrazitZavislosti = true;
            else nastaveni.ZobrazitZavislosti = false;
            if (rezervyCheckBox.Checked==true) nastaveni.ZobrazitRezervy=true;
            else nastaveni.ZobrazitRezervy=false;
            if (mrizkaCheckBox.Checked == true) nastaveni.ZobrazitGrid = true;
            else nastaveni.ZobrazitGrid = false;
            if (prastromCheckBox.Checked == true) nastaveni.ZobrazitVsechnaReseni = true;
            else nastaveni.ZobrazitVsechnaReseni = false;
            if (vyukaCheckBox.Checked == true) nastaveni.VyukovyMod = true;
            else nastaveni.VyukovyMod = false;

            if (grafickyCheckBox.Checked == true) nastaveni.GrafickyPostup = true;
            else nastaveni.GrafickyPostup = false;
            if (zobrazeniNazevCheckBox.Checked == true) nastaveni.ZobrazitUzelNazev = true;
            else nastaveni.ZobrazitUzelNazev = false;
            if (zobrazeniCasyCheckBox.Checked == true) nastaveni.ZobrazitUzelCasy = true;
            else nastaveni.ZobrazitUzelCasy = false;
            if (ohodnoceniCheckBox.Checked == true) nastaveni.ZobrazitCinnostOhodnoceni = true;
            else nastaveni.ZobrazitCinnostOhodnoceni = false;
            graf.ZacatekProjektu = dateTimePicker.Value;
        }

        private void infoComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (infoComboBox.SelectedIndex == 0) nastaveni.FixedInfo = true;
            else nastaveni.FixedInfo = false;
        }

        private void casoveJednotkyComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (casoveJednotkyComboBox.SelectedIndex)
            {
                /*case 0: nastaveni.Jednotky = "vteriny";
                    break;
                case 1: nastaveni.Jednotky = "minuty";
                    break;
                case 0: nastaveni.Jednotky = "hodiny";
                    break;*/
                case 0: nastaveni.Jednotky = "dny";
                    break;
            }
        }

        private void dateTimePicker_ValueChanged(object sender, EventArgs e)
        {
            DateTime datum = dateTimePicker.Value;
            graf.ZacatekProjektu = datum;
        }

        private void checkBox2_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void ohodnoceniCheckBox_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void pismoHranaBarvaButton_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.BarvaPismaHrana.Color;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.BarvaPismaHrana.Color = colorDialog1.Color;
                pismoHranaBarvaButton.BackColor = nastaveni.BarvaPismaHrana.Color;
                vzhledPanel.Invalidate();
            }      
        }

        private void barvaPismoUzelButton_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = nastaveni.BarvaPismaVrchol.Color;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                nastaveni.BarvaPismaVrchol.Color = colorDialog1.Color;
                barvaPismoUzelButton.BackColor = nastaveni.BarvaPismaVrchol.Color;
                vzhledPanel.Invalidate();
            } 
        }

        private void popisHranyComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            nastaveni.PopisCinnosti = popisHranyComboBox.SelectedIndex;
        }
      
    }
}
