using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace DiplomovaPrace
{
    public class DoubleBufPanel : Panel
    {
        public DoubleBufPanel()
        {
            //nastaveni stylu ovladacih prvku
            //DoubleBuffer - nastaveni vykreslovani do buferu
            //AllPaintingInWmPaint - ignorovani zpravy WM_ERASEBKGND, 
            //redukuje problikavani
            //UserPaint - ovladaci prvek je vykreslovan sam misto operacnim systemem
            //Pro double-buffering musi byt nadtaveny vsechny tri styly na true
            SetStyle(ControlStyles.DoubleBuffer | ControlStyles.UserPaint |
                         ControlStyles.AllPaintingInWmPaint, true);

            //Aktualizace stylu
            UpdateStyles();
        }
    }

}
