﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DiplomovaPrace
{
    public static class Kombinace
    {
        static int poradiKombinace;
        public static ADTHrana[][] ziskejVsechnyKombinace(ADTHrana [] poleHran)
        {
            int pocet = poleHran.Length;
            long sumaKombinaci = 0;
            //zjisteni poctu kombinaci
            for (int k = 1; k <= pocet; k++)
            {
                long pocetKombinaci = PocetKombinaci(pocet, k);
                sumaKombinaci += pocetKombinaci;
            }
            ADTHrana[][] poleKombinaci = new ADTHrana[sumaKombinaci][];
            poradiKombinace = 0;
            
            for (int k=1; k<=pocet; k++)
            {
                long pocetKombinaci = PocetKombinaci(pocet, k);
                for (int index=0; index<pocetKombinaci; index++)
                {
                    kombinace(pocet, k, index,poleKombinaci,poleHran);
                }
            }
            String retezec;
            for (int i=0; i< poradiKombinace; i++)
            {
                retezec = "";
                for (int j=0; j < poleKombinaci[i].GetLength(0); j++)
                {
                    retezec = retezec+ " " + poleKombinaci[i][j].ToString();
                }
                //listBox1.Items.Add(retezec);
            }
            return poleKombinaci;
        }

        /// <summary>
        /// Vytvoří posloupnost kombinací.
        /// </summary>
        /// <param name="pocet">Počet kombinací.</param>
        /// <param name="ktice">Počet k-tic.</param>
        /// <param name="index">Index uzlu.</param>
        /// <param name="poleKombinaci">Výsledné kombinace</param>
        /// <param name="poleHran">Hrany kombinace.</param>
        public static void kombinace(int pocet, int ktice, int index, ADTHrana[][] poleKombinaci, ADTHrana[] poleHran)
        {
            poleKombinaci[poradiKombinace] = new ADTHrana[ktice];
            for (int hodnota = 1; hodnota <= pocet; hodnota++)
            {
                if ( ktice == 0 ) break;
                long aktMoznyPocet = PocetKombinaci ( pocet - hodnota, ktice - 1 );             
                if ( index < aktMoznyPocet )
                {
                    poleKombinaci[poradiKombinace][ktice-1] = poleHran[hodnota-1];
                    ktice = ktice - 1;
                }
                    else if ( index >= aktMoznyPocet )
                {
                    index = (int)(index - aktMoznyPocet);
                }
            }
            poradiKombinace++;
        }

        public static long PocetKombinaci(int n, int k)
        {
            return (long)(Faktorial(n) / (Faktorial(k) * Faktorial(n - k)));
        }

        public static long Faktorial(int n)
        {
            long s = 1;
            checked
            {
                while (n > 0) s = s * n--;
            }
            return s;
        }
    }
}
