﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DiplomovaPrace
{
    public partial class VypisIncidenciDialog : Form
    {
        private Vrchol vrchol;
        private int pozice;
        private Graf graf;

        public int Pozice
        {
            get { return pozice; }
            set { pozice = value; }
        }

        public Vrchol Vrchol
        {
            get { return vrchol; }
            set { vrchol = value; }
        }
        public VypisIncidenciDialog(Graf graf)
        {
            this.graf = graf;
            InitializeComponent();
        }

        private void VypisIncidenciDialog_Load(object sender, EventArgs e)
        {
            klicLabel.Text = vrchol.Klic.GetKlic();
            nazevLabel.Text = vrchol.Nazev;
            ohodnoceniLabel.Text = vrchol.MaximalniCas.ToString();
            int i, index;
            if (vrchol.PocetPredchudcu > 0)
            {
                index = vrchol.IndexPrvnihoPredchudce;
                for (i = 0; i < vrchol.PocetPredchudcu; i++)
                {
                    predchudciListBox.Items.Add(((Hrana)graf.predchudci[index + i]).Vrchol1.GetKlic());
                }
            }
            else predchudciListBox.Items.Add("žádní předchůdci");
            if (vrchol.PocetNasledniku > 0)
            {
                index = vrchol.IndexPrvnihoNaslednika;
                for (i = 0; i < vrchol.PocetNasledniku; i++)
                {
                    nasledniciListBox.Items.Add(((Hrana)graf.naslednici[index + i]).Vrchol2.GetKlic());
                }
            }
            else nasledniciListBox.Items.Add("žádní následníci");
        }


    }
}
